Subject: bug#62769: closed (Re: bug#62769: pcre: correct overpessimistic error checking of pcre2_jit_compile())

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 13 Apr 2023 21:58:02 +0000

Your bug report

#62769: pcre: correct overpessimistic error checking of pcre2_jit_compile()

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62769: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62769
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62769: pcre: correct overpessimistic error checking of pcre2_jit_compile()
From: Paul Eggert <[email-masked]>
To: Carlo Arenas <[email-masked]>
Cc: [email-masked]
Date: Thu, 13 Apr 2023 14:57:29 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 4/11/23 23:08, Carlo Arenas wrote:
> Yes. but I would probably prefer voiding the return value to make it explicit.

Thanks for checking. Casting expressions to void is not our style so 
I'll omit that (the comment makes things obvious to the reader anyway). 
So I installed the patch without the cast.

Subject: pcre: correct overpessimistic error checking of pcre2_jit_compile()
From: Carlo Arenas <[email-masked]>
To: [email-masked]
Date: Mon, 10 Apr 2023 23:47:08 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

The original code was done in a way that would be useful during
porting, but that would hinder future work unnecessarily.

Carlo